/*
 *	fhist - file history and comparison tools
 *	Copyright (C) 1991, 1992, 1993, 1994 Peter Miller.
 *	All rights reserved.
 *
 *	Derived from a work
 *	Copyright (C) 1990 David I. Bell.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * MANIFEST: interface definition for common/cmalooc.c
 *
 * Definitions to use releaseable memory allocation.
 */

#ifndef	CMALLOC_H
#define	CMALLOC_H

#include <ac/stddef.h>

#include <main.h>

#define	malloc(n)	!/!/!cmalloc((unsigned long) (n))
#define	realloc(p,n)	!/!/!cmrealloc((char *) (p), (unsigned long) (n))
#define	calloc(n,s)	!/!/!cmcalloc((unsigned long) (n), (unsigned long) (s))
#define	free(p)		!/!/!cmfree((char *) (p))

void *cmalloc _((size_t));
void *cm_alloc_and_check _((size_t));
void *cmrealloc _((void *, size_t));
void *cm_realloc_and_check _((void *, size_t));
void *cmcalloc _((size_t, size_t));
void *cm_calloc_and_check _((size_t, size_t));
void cmfree _((void *));

void *r_malloc _((size_t));
void *r_malloc_and_check _((size_t));
void *r_realloc _((void *, size_t));
void *r_realloc_and_check _((void *, size_t));
void *r_calloc _((size_t, size_t));
void r_free _((void *));

void cmreset _((void));

#endif /* CMALLOC_H */
